Last Comment Bug 758914 - client.py always pulls from http://hg.mozilla.org/mozilla-central/
: client.py always pulls from http://hg.mozilla.org/mozilla-central/
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 16.0
Assigned To: Mark Banner (:standard8, limited time in Dec)
:
:
Mentors:
Depends on:
Blocks: 688856
  Show dependency treegraph
 
Reported: 2012-05-26 16:29 PDT by neil@parkwaycc.co.uk
Modified: 2012-06-15 06:22 PDT (History)
4 users (show)
standard8: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Possible patch (1.17 KB, patch)
2012-05-26 16:32 PDT, neil@parkwaycc.co.uk
standard8: review-
Details | Diff | Splinter Review
Alternative fix (1.84 KB, patch)
2012-05-28 03:29 PDT, Mark Banner (:standard8, limited time in Dec)
gozer: review+
Details | Diff | Splinter Review
Improve error messages, add topsrcdir (2.18 KB, patch)
2012-06-15 05:05 PDT, neil@parkwaycc.co.uk
standard8: review+
Details | Diff | Splinter Review

Description neil@parkwaycc.co.uk 2012-05-26 16:29:29 PDT
I have several trees that all pull from a local clone that I pull from hg.mozilla.org, however I accidentally ran client.py without pulling my local clones first. Imagine my surprise when client.py proceeded to pull my mozilla folder anyway from hg.mozilla.org, leaving me with a failed build.
Comment 1 neil@parkwaycc.co.uk 2012-05-26 16:32:48 PDT
Created attachment 627516 [details] [diff] [review]
Possible patch

This fixed things locally for me. I don't know why bug 688856 changed that code in the first place, but it seems wrong, so this patch backs that out.
Comment 2 Mark Banner (:standard8, limited time in Dec) 2012-05-28 01:40:51 PDT
My only concern is how this interacts with hg shared stuff - if they correctly set the repo to clone from when using hgtool.py when using client.py. Probably needs a quick test.
Comment 3 Mark Banner (:standard8, limited time in Dec) 2012-05-28 03:01:32 PDT
Comment on attachment 627516 [details] [diff] [review]
Possible patch

So as I feared I just tried this locally and it would break the current use of hg share that we're using on the tinderboxes.

I think I have a possible alternative that I can propose.
Comment 4 Mark Banner (:standard8, limited time in Dec) 2012-05-28 03:29:50 PDT
Created attachment 627653 [details] [diff] [review]
Alternative fix

I think this will fix it. If we've got a mozilla directory, but haven't specified the repo on the command line, then we'll fall back to using the value in .hg/hgrc.

This should work even for hg share as it stores the http://hg... repo in the mozilla/.hg/hgrc file.
Comment 5 Justin Wood (:Callek) 2012-05-28 18:43:52 PDT
Comment on attachment 627653 [details] [diff] [review]
Alternative fix

Happier if gozer reviews, as I haven't tested client.py with hg share/hgtool myself yet.

But I'm leaving a request open on me, incase gozer takes longer and I find a free moment sooner.
Comment 6 Mark Banner (:standard8, limited time in Dec) 2012-06-15 03:20:30 PDT
Checked in: https://hg.mozilla.org/comm-central/rev/72a1699e3ad5
Comment 7 neil@parkwaycc.co.uk 2012-06-15 05:05:01 PDT
Created attachment 633483 [details] [diff] [review]
Improve error messages, add topsrcdir

So that I can run client.py from another working directory again.
Comment 8 Mark Banner (:standard8, limited time in Dec) 2012-06-15 05:15:12 PDT
Comment on attachment 633483 [details] [diff] [review]
Improve error messages, add topsrcdir

Looks good.
Comment 9 neil@parkwaycc.co.uk 2012-06-15 06:22:38 PDT
Comment on attachment 633483 [details] [diff] [review]
Improve error messages, add topsrcdir

Pushed comm-central changeset a4dcfae6ddad.

Note You need to log in before you can comment on or make changes to this bug.